Page MenuHomePhabricator

What is the license status of the SpamBlacklist extension?
Closed, ResolvedPublic

Description

Currently https://gerrit.wikimedia.org/r/#/c/275170/ is stuck because of an possibly unclear situation. Current interpretations:

  1. The extension is licensed GPL-2.0+ which Tim Starlings contributions additionally licensed with any OSI approved license because Tim's license statement only applies to the code he wrote, not things that other people wrote.
  2. The extension is licensed with any OSI approved license since Tim was the original author.

Probably I am making things much too complicated with my patchset, meaning that we should probably go for 1. In this case a new patchset is required.

Event Timeline

Kghbln created this task.Mar 21 2016, 2:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 21 2016, 2:40 PM
Ricordisamoa renamed this task from What is the license status of this extension? to What is the license status of the SpamBlacklist extension?.Mar 21 2016, 3:15 PM
Ricordisamoa added a subscriber: Ricordisamoa.
Kghbln added a comment.Apr 8 2016, 7:26 AM

Same situation as for T130531 so I apply the information analogously to this extension:

Things may get rolling per comment on patch set 1:

"No, other authors do not implicitly agree to the copyright statement on my user page when they make changes. GPL 2.0+ is fine for license metadata in this case."

Change 275170 had a related patch set uploaded (by Legoktm):
Provide missing COPYING file

https://gerrit.wikimedia.org/r/275170

Legoktm closed this task as Resolved.Apr 12 2016, 6:54 PM
Legoktm assigned this task to Kghbln.

Change 275170 merged by jenkins-bot:
Provide missing COPYING file

https://gerrit.wikimedia.org/r/275170

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 9:02 PM
Mattflaschen-WMF reopened this task as Open.May 1 2017, 10:04 PM

There is still the "This extension and this documentation was written by Tim Starling and is ambiguously licensed."

@tstarling is it okay to change that to GPLv2 as https://gerrit.wikimedia.org/r/#/c/351202/ ?

Change 351202 had a related patch set uploaded (by Mattflaschen; owner: Mattflaschen):
[mediawiki/extensions/SpamBlacklist@master] Clarify license and authorship statement

https://gerrit.wikimedia.org/r/351202

Mattflaschen-WMF closed this task as Resolved.May 8 2017, 4:18 AM

Change 351202 merged by jenkins-bot:
[mediawiki/extensions/SpamBlacklist@master] Clarify license and authorship statement

https://gerrit.wikimedia.org/r/351202